### Struct

# Qmi MessageOmaSetFeatureSettingInput

since: 1.6

#### Description [src]

    struct QmiMessageOmaSetFeatureSettingInput {
      /* No available fields */
    }

The `QmiMessageOmaSetFeatureSettingInput` structure contains private data and should only be accessed using the provided API.

Available since: 1.6

#### Constructors

###### qmi_message_oma_set_feature_setting_input_new

Allocates a new `QmiMessageOmaSetFeatureSettingInput`.

since: 1.6

#### Instance methods

###### qmi_message_oma_set_feature_setting_input_get_device_provisioning_service_update_config

Get the ‘Device Provisioning Service Update Config’ field from `self`.

since: 1.6

###### qmi_message_oma_set_feature_setting_input_get_hfa_feature_config

Get the ‘HFA Feature Config’ field from `self`.

since: 1.6

###### qmi_message_oma_set_feature_setting_input_get_prl_update_service_config

Get the ‘PRL Update Service Config’ field from `self`.

since: 1.6

###### qmi_message_oma_set_feature_setting_input_ref

Atomically increments the reference count of `self` by one.

since: 1.6

###### qmi_message_oma_set_feature_setting_input_set_device_provisioning_service_update_config

Set the ‘Device Provisioning Service Update Config’ field in the message.

since: 1.6

###### qmi_message_oma_set_feature_setting_input_set_hfa_feature_config

Set the ‘HFA Feature Config’ field in the message.

since: 1.6

###### qmi_message_oma_set_feature_setting_input_set_prl_update_service_config

Set the ‘PRL Update Service Config’ field in the message.

since: 1.6

###### qmi_message_oma_set_feature_setting_input_unref

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

since: 1.6